NavigableMapPropertySource (Grails 3.3.3)
Date: 2018-03-07

Package: org.grails.config

## [Groovy] Class NavigableMapPropertySource

- org.grails.config.NavigableMapPropertySource

- A org.springframework.core.env.PropertySource that doesn't return values for navigable submaps

  Authors:
    Graeme Rocher
  Since:
    3.0.7

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String[]` | `navigablePropertyNames`
    `java.lang.String[]` | `propertyNames`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `NavigableMapPropertySource (java.lang.String name, NavigableMap source)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.Object` | `getNavigableProperty(java.lang.String name)`
    `` | `java.lang.Object` | `getProperty(java.lang.String name)`
    `` | `java.lang.String[]` | `getPropertyNames()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.core.env.MapPropertySource` | `org.springframework.core.env.MapPropertySource#containsProperty(java.lang.String), org.springframework.core.env.MapPropertySource#getPropertyNames(), org.springframework.core.env.MapPropertySource#getProperty(java.lang.String), org.springframework.core.env.MapPropertySource#getSource(), org.springframework.core.env.MapPropertySource#named(java.lang.String), org.springframework.core.env.MapPropertySource#equals(java.lang.Object), org.springframework.core.env.MapPropertySource#toString(), org.springframework.core.env.MapPropertySource#hashCode(), org.springframework.core.env.MapPropertySource#getName(), org.springframework.core.env.MapPropertySource#wait(long, int), org.springframework.core.env.MapPropertySource#wait(long), org.springframework.core.env.MapPropertySource#wait(), org.springframework.core.env.MapPropertySource#getClass(), org.springframework.core.env.MapPropertySource#notify(), org.springframework.core.env.MapPropertySource#notifyAll()`
    `class org.springframework.core.env.EnumerablePropertySource` | `org.springframework.core.env.EnumerablePropertySource#containsProperty(java.lang.String), org.springframework.core.env.EnumerablePropertySource#getPropertyNames(), org.springframework.core.env.EnumerablePropertySource#getSource(), org.springframework.core.env.EnumerablePropertySource#named(java.lang.String), org.springframework.core.env.EnumerablePropertySource#getProperty(java.lang.String), org.springframework.core.env.EnumerablePropertySource#equals(java.lang.Object), org.springframework.core.env.EnumerablePropertySource#toString(), org.springframework.core.env.EnumerablePropertySource#hashCode(), org.springframework.core.env.EnumerablePropertySource#getName(), org.springframework.core.env.EnumerablePropertySource#wait(long, int), org.springframework.core.env.EnumerablePropertySource#wait(long), org.springframework.core.env.EnumerablePropertySource#wait(), org.springframework.core.env.EnumerablePropertySource#getClass(), org.springframework.core.env.EnumerablePropertySource#notify(), org.springframework.core.env.EnumerablePropertySource#notifyAll()`

- - ### Property Detail

    - #### final java.lang.String[] navigablePropertyNames

    - #### final java.lang.String[] propertyNames

  - ### Constructor Detail

    - #### NavigableMapPropertySource(java.lang.String name, NavigableMap source)

  - ### Method Detail

    - #### java.lang.Object getNavigableProperty(java.lang.String name)

    - #### @java.lang.Override java.lang.Object getProperty(java.lang.String name)

    - #### @java.lang.Override java.lang.String[] getPropertyNames()